module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[2]={
			args={sound_path=[[Magic/sound_magic_3204_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[3]={
			args={action_name=[[attack3]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.2,
		},
		[4]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack_3_obb.prefab]],
					preload=true,
				},
				effect_dir_type=[[relative]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
				relative_dir={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=1,},
			},
			func_name=[[StandEffect]],
			start_time=0.2,
		},
		[5]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
					preload=true,
				},
				effect_dir_type=[[relative]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
				relative_dir={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=1,},
			},
			func_name=[[StandEffect]],
			start_time=1.2,
		},
		[6]={args={},func_name=[[MagcAnimStart]],start_time=1.28,},
		[7]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.3,
		},
		[8]={args={},func_name=[[MagcAnimEnd]],start_time=1.4,},
		[9]={args={},func_name=[[End]],start_time=1.65,},
	},
	group_cmds={},
	magic_anim_end_time=1.4,
	magic_anim_start_time=1.28,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack_3_obb.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_130/Prefabs/130_attack3_hit.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
